# Generated by Django 4.2.13 on 2024-11-10 13:32

from django.db import migrations, models
import django.db.models.deletion
import django_design_system.models


class Migration(migrations.Migration):

    initial = True

    dependencies = []

    operations = [
        migrations.CreateModel(
            name="DjangoDesignSystemConfig",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "language",
                    models.CharField(
                        choices=[("en", "English"), ("fr", "French")],
                        default="fr",
                        help_text="Only one configuration is allowed per language",
                        max_length=7,
                        verbose_name="Language",
                    ),
                ),
                (
                    "site_title",
                    models.CharField(
                        blank=True,
                        default="Site title",
                        max_length=200,
                        verbose_name="Site title",
                    ),
                ),
                (
                    "site_tagline",
                    models.CharField(
                        blank=True,
                        default="Site tagline",
                        max_length=200,
                        verbose_name="Site tagline",
                    ),
                ),
                (
                    "notice",
                    models.TextField(
                        blank=True,
                        default="",
                        help_text="The important notice banner should only be used for essential and temporary information.             (Excessive or continuous use risks “drowning” the message.)",
                        verbose_name="Important notice",
                    ),
                ),
                (
                    "header_brand",
                    models.CharField(
                        blank=True,
                        default="Web DesignSystem",
                        max_length=200,
                        verbose_name="Institution (header)",
                    ),
                ),
                (
                    "header_brand_html",
                    models.CharField(
                        blank=True,
                        default="Web<br />DesignSystem",
                        max_length=200,
                        verbose_name="Institution with line break (header)",
                    ),
                ),
                (
                    "beta_tag",
                    models.BooleanField(
                        default=False,
                        verbose_name="Show the BETA tag next to the title",
                    ),
                ),
                (
                    "footer_brand",
                    models.CharField(
                        blank=True,
                        default="Web DesignSystem",
                        max_length=200,
                        verbose_name="Institution (footer)",
                    ),
                ),
                (
                    "footer_brand_html",
                    models.CharField(
                        blank=True,
                        default="Web<br />DesignSystem",
                        max_length=200,
                        verbose_name="Institution with line break (footer)",
                    ),
                ),
                (
                    "footer_description",
                    models.TextField(
                        blank=True, default="", verbose_name="Description"
                    ),
                ),
                (
                    "newsletter_description",
                    models.TextField(
                        blank=True, default="", verbose_name="Newsletter description"
                    ),
                ),
                (
                    "newsletter_url",
                    models.URLField(
                        blank=True,
                        default="",
                        verbose_name="Newsletter registration URL",
                    ),
                ),
                (
                    "operator_logo_file",
                    models.FileField(
                        blank=True,
                        null=True,
                        upload_to="logos",
                        validators=[
                            django_design_system.models.validate_image_extension
                        ],
                        verbose_name="Operator logo",
                    ),
                ),
                (
                    "operator_logo_alt",
                    models.CharField(
                        blank=True,
                        help_text="Must contain the text present in the image.",
                        max_length=200,
                        verbose_name="Logo alt text",
                    ),
                ),
                (
                    "operator_logo_width",
                    models.DecimalField(
                        decimal_places=1,
                        default="0.0",
                        help_text="To be adjusted according to the width of the logo.            Example for a vertical logo: 3.5, Example for a horizontal logo: 8.",
                        max_digits=3,
                        null=True,
                        verbose_name="Width (em)",
                    ),
                ),
                (
                    "mourning",
                    models.BooleanField(default=False, verbose_name="Mourning"),
                ),
                (
                    "accessibility_status",
                    models.CharField(
                        choices=[
                            ("FULL", "fully"),
                            ("PART", "partially"),
                            ("NOT", "not"),
                        ],
                        default="NOT",
                        max_length=4,
                        verbose_name="Accessibility compliance status",
                    ),
                ),
            ],
            options={
                "verbose_name": "Configuration",
            },
        ),
        migrations.CreateModel(
            name="DesignSystemSocialMedia",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "title",
                    models.CharField(
                        blank=True, default="", max_length=200, verbose_name="Title"
                    ),
                ),
                ("url", models.URLField(blank=True, default="", verbose_name="URL")),
                (
                    "icon_class",
                    models.CharField(
                        blank=True,
                        default="",
                        max_length=200,
                        verbose_name="Icon class",
                    ),
                ),
                (
                    "site_config",
                    models.ForeignKey(
                        null=True,
                        on_delete=django.db.models.deletion.CASCADE,
                        to="django_design_system.djangodesignsystemconfig",
                    ),
                ),
            ],
            options={
                "verbose_name": "Social media",
                "verbose_name_plural": "Social medias",
            },
        ),
    ]
